import { ChangeDetectionStrategy, Component, EventEmitter, Input, OnInit, Output } from '@angular/core';

@Component({
  selector: 'shell-process',
  templateUrl: './process.component.html',
  styleUrls: ['./process.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class ShellProcessComponent implements OnInit {
  @Output()
  addProcess = new EventEmitter<void>();

  @Input()
  label: string;

  @Input()
  canAddProcess: boolean;

  constructor() {}

  ngOnInit(): void {}
}
